Debian Bug report logs - #637260
hdspmixer missing in alsa-tools-gui package on amd64 (wheezy/sid)

Package: alsa-tools-gui; Maintainer for alsa-tools-gui is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>; Source for alsa-tools-gui is src:alsa-tools.

Reported by: steph5150 <steph5150@free.fr>

Date: Tue, 9 Aug 2011 23:09:02 UTC

Severity: normal

Done: Elimar Riesebieter <riesebie@lxtec.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#637260; Package alsa-tools-gui. (Tue, 09 Aug 2011 23:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to steph5150 <steph5150@free.fr>:
New Bug report received and forwarded. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

1.0.24.1-1 (amd64)

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Tue, 09 Aug 2011 23:09:05 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: steph5150 <steph5150@free.fr>
To: submit@bugs.debian.org
Subject: hdspmixer missing in alsa-tools-gui package on amd64 (wheezy/sid)
Date: Wed, 10 Aug 2011 01:04:35 +0200
Package: alsa-tools-gui
Version: 1.0.24.1-1 (amd64)
Severity: grave

'usr/bin/hdspmixer' is missing in alsa-tools-gui package
on amd64 (wheezy/sid) .

This executable is essential to set, in a simply maner, the rme card's
volume to 0dB before use. Without it, volume are -inf on system startup.
This makes those cards unusable without an homemade initialisation
script.

workaround: unpack the stable version and copy hdspmixer to
your /usr/bin

Please correct this problem.
Thanks





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#637260; Package alsa-tools-gui. (Wed, 10 Aug 2011 18:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Wed, 10 Aug 2011 18:51:08 GMT) Full text and rfc822 format available.

Message #10 received at 637260@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: steph5150 <steph5150@free.fr>, 637260@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#637260: hdspmixer missing in alsa-tools-gui package on amd64 (wheezy/sid)
Date: Wed, 10 Aug 2011 20:48:43 +0200
severity 637260 normal
thanks

* steph5150 [110810 01:04 +0200]:

> Package: alsa-tools-gui
> Version: 1.0.24.1-1 (amd64)
> Severity: grave
> 
> 'usr/bin/hdspmixer' is missing in alsa-tools-gui package
> on amd64 (wheezy/sid) .

$ dpkg -l | grep alsa-tools-gui
ii  alsa-tools-gui  1.0.24.1-1

$ dpkg -L alsa-tools-gui | grep bin
/usr/bin
/usr/bin/echomixer
/usr/bin/envy24control
/usr/bin/rmedigicontrol
/usr/bin/hdspconf
/usr/bin/hdspmixer

This is on ppc. I'll test on amd64 later (but it shouldn't be
different)

Elimar

-- 
  Do you smell something burning or ist it me?




Severity set to 'normal' from 'grave' Request was from Elimar Riesebieter <riesebie@lxtec.de> to control@bugs.debian.org. (Wed, 10 Aug 2011 18:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#637260; Package alsa-tools-gui. (Thu, 11 Aug 2011 05:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Thu, 11 Aug 2011 05:45:03 GMT) Full text and rfc822 format available.

Message #17 received at 637260@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: steph5150 <steph5150@free.fr>, 637260@bugs.debian.org
Cc: Jordi Mallach <jordi@debian.org>
Subject: Re: [Pkg-alsa-devel] Bug#637260: Bug#637260: hdspmixer missing in alsa-tools-gui package on amd64 (wheezy/sid)
Date: Thu, 11 Aug 2011 07:43:10 +0200
Hey Jordi,

I did an "ar x alsa-tools-gui_1.0.24.1-1_amd64.deb" and didn't found
usr/bin/hdspmixer. At the moment I don't have an amd64 machine
handy. Could you please investigate?

Thanks
Elimar


* Elimar Riesebieter [110810 20:48 +0200]:

> severity 637260 normal
> thanks
> 
> * steph5150 [110810 01:04 +0200]:
> 
> > Package: alsa-tools-gui
> > Version: 1.0.24.1-1 (amd64)
> > Severity: grave
> > 
> > 'usr/bin/hdspmixer' is missing in alsa-tools-gui package
> > on amd64 (wheezy/sid) .
> 
> $ dpkg -l | grep alsa-tools-gui
> ii  alsa-tools-gui  1.0.24.1-1
> 
> $ dpkg -L alsa-tools-gui | grep bin
> /usr/bin
> /usr/bin/echomixer
> /usr/bin/envy24control
> /usr/bin/rmedigicontrol
> /usr/bin/hdspconf
> /usr/bin/hdspmixer
> 
> This is on ppc. I'll test on amd64 later (but it shouldn't be
> different)
> 
> Elimar
> 
> -- 
>   Do you smell something burning or ist it me?
> 
> 
> 
> _______________________________________________
> Pkg-alsa-devel mailing list
> Pkg-alsa-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-alsa-devel
> 

-- 
  Never make anything simple and efficient when a way 
  can be found to make it complex and wonderful ;-)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#637260; Package alsa-tools-gui. (Thu, 18 Aug 2011 20:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jordi Mallach <jordi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Thu, 18 Aug 2011 20:39:10 GMT) Full text and rfc822 format available.

Message #22 received at 637260@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: Elimar Riesebieter <riesebie@lxtec.de>, 637260@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#637260: hdspmixer missing in alsa-tools-gui package on amd64 (wheezy/sid)
Date: Thu, 18 Aug 2011 22:34:50 +0200
[Message part 1 (text/plain, inline)]
Hi!

On Thu, Aug 11, 2011 at 07:43:10AM +0200, Elimar Riesebieter wrote:
> I did an "ar x alsa-tools-gui_1.0.24.1-1_amd64.deb" and didn't found
> usr/bin/hdspmixer. At the moment I don't have an amd64 machine
> handy. Could you please investigate?

Hmm, that's weird as I built it using an up-to-date chroot.

Building hdspmixer
make[1]: Entering directory `/tmp/buildd/alsa-tools-1.0.24.1/hdspmixer'
Making all in src
make[2]: Entering directory `/tmp/buildd/alsa-tools-1.0.24.1/hdspmixer/src'
x86_64-linux-gnu-g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"hdspmixer\" -DVERSION=\"1.6\" -DSTDC_HEADERS=1 -DHAVE_LIBASOUND=1 -I.     -Wall -g -O2   -I/usr/include/freetype2   -D_THREAD_SAFE -D_REENTRANT -fno-exceptions -MT hdspmixer.o -MD -MP -MF .deps/hdspmixer.Tpo -c -o hdspmixer.o hdspmixer.cxx
In file included from hdspmixer.cxx:31:0:
HDSPMixerCard.h:29:30: fatal error: alsa/sound/hdspm.h: No such file or directory
compilation terminated.
make[2]: *** [hdspmixer.o] Error 1
make[2]: Leaving directory `/tmp/buildd/alsa-tools-1.0.24.1/hdspmixer/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/buildd/alsa-tools-1.0.24.1/hdspmixer'

In short, once again, alsa-tools does not declare the correct version
dependency on alsa-lib, and 1.0.23 was not enough as this header did not
exist.

Why didn't the build fail is another good question.

-- 
Jordi Mallach PĂ©rez  --  Debian developer     http://www.debian.org/
jordi@sindominio.net     jordi@debian.org     http://www.sindominio.net/
GnuPG public key information available at http://oskuro.net/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#637260; Package alsa-tools-gui. (Tue, 23 Aug 2011 08:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <e.riesebieter@puz.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Tue, 23 Aug 2011 08:45:05 GMT) Full text and rfc822 format available.

Message #27 received at 637260@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <e.riesebieter@puz.de>
To: Jordi Mallach <jordi@debian.org>
Cc: Elimar Riesebieter <riesebie@lxtec.de>, 637260@bugs.debian.org, 637260-submitter@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#637260: hdspmixer missing in alsa-tools-gui package on amd64 (wheezy/sid)
Date: Tue, 23 Aug 2011 10:31:06 +0200
* jordi@debian.org [110818 20:35 +0200]:
> Hi!
> 
> On Thu, Aug 11, 2011 at 07:43:10AM +0200, Elimar Riesebieter wrote:
> > I did an "ar x alsa-tools-gui_1.0.24.1-1_amd64.deb" and didn't found
> > usr/bin/hdspmixer. At the moment I don't have an amd64 machine
> > handy. Could you please investigate?
> 
> Hmm, that's weird as I built it using an up-to-date chroot.
> 
> Building hdspmixer
> make[1]: Entering directory `/tmp/buildd/alsa-tools-1.0.24.1/hdspmixer'
> Making all in src
> make[2]: Entering directory `/tmp/buildd/alsa-tools-1.0.24.1/hdspmixer/src'
> x86_64-linux-gnu-g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"hdspmixer\" -DVERSION=\"1.6\" -DSTDC_HEADERS=1 -DHAVE_LIBASOUND=1 -I.     -Wall -g -O2   -I/usr/include/freetype2   -D_THREAD_SAFE -D_REENTRANT -fno-exceptions -MT hdspmixer.o -MD -MP -MF .deps/hdspmixer.Tpo -c -o hdspmixer.o hdspmixer.cxx
> In file included from hdspmixer.cxx:31:0:
> HDSPMixerCard.h:29:30: fatal error: alsa/sound/hdspm.h: No such file or directory
> compilation terminated.
> make[2]: *** [hdspmixer.o] Error 1
> make[2]: Leaving directory `/tmp/buildd/alsa-tools-1.0.24.1/hdspmixer/src'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/tmp/buildd/alsa-tools-1.0.24.1/hdspmixer'
> 
> In short, once again, alsa-tools does not declare the correct version
> dependency on alsa-lib, and 1.0.23 was not enough as this header did not
> exist.

Hmm, let us try:

--- control.old 2011-08-23 10:25:52.000000000 +0200
+++ control     2011-08-23 10:26:49.000000000 +0200
@@ -6,7 +6,7 @@
            Mikael Magnusson <mikma@users.sourceforge.net>,
            Elimar Riesebieter <riesebie@lxtec.de>
 Build-Depends: debhelper (>= 8), autotools-dev,
-               libasound2-dev (>= 1.0.18), libfltk1.1-dev, libgtk2.0-dev,
+               libasound2-dev (>= 1.0.24.1), libfltk1.1-dev, libgtk2.0-dev,
                libqt3-mt-dev (>= 3:3.3.4-4)
 Standards-Version: 3.9.2
 Homepage: http://www.alsa-project.org/

It will build successfully as alsa/sound/hdspm.h is available in libasound2-dev_1.0.24.1-3

> Why didn't the build fail is another good question.

Buildd has had a sunstroke ;-)

Elimar

-- 
  BOFH excuse #17:
  fat electrons in the lines




Message sent on to steph5150 <steph5150@free.fr>:
Bug#637260. (Tue, 23 Aug 2011 08:45:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#637260; Package alsa-tools-gui. (Mon, 30 Jan 2012 17:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to iem <zmoelnig@iem.at>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Mon, 30 Jan 2012 17:21:04 GMT) Full text and rfc822 format available.

Message #35 received at 637260@bugs.debian.org (full text, mbox):

From: iem <zmoelnig@iem.at>
To: Debian Bug Tracking System <637260@bugs.debian.org>
Subject: Re: hdspmixer missing in alsa-tools-gui package on amd64 (wheezy/sid)
Date: Mon, 30 Jan 2012 18:16:34 +0100
Package: alsa-tools-gui
Followup-For: Bug #637260

on my system, /usr/bin/hdspmixer is present.
i guess the bug is fixed and could be closed.

fgmasdr
IOhannes


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (800, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages alsa-tools-gui depends on:
ii  libasound2          1.0.24.1-4
ii  libatk1.0-0         2.2.0-2
ii  libc6               2.13-25
ii  libcairo2           1.10.2-6.2
ii  libfltk1.1          1.1.10-10
ii  libfontconfig1      2.8.0-3.1
ii  libfreetype6        2.4.8-1
ii  libgcc1             1:4.6.2-12
ii  libgdk-pixbuf2.0-0  2.24.0-2
ii  libglib2.0-0        2.30.2-6
ii  libgtk2.0-0         2.24.8-3
ii  libpango1.0-0       1.29.4-2
ii  libstdc++6          4.6.2-12

alsa-tools-gui recommends no packages.

alsa-tools-gui suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#637260; Package alsa-tools-gui. (Tue, 31 Jan 2012 21:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Tue, 31 Jan 2012 21:09:03 GMT) Full text and rfc822 format available.

Message #40 received at 637260@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: iem <zmoelnig@iem.at>, 637260@bugs.debian.org
Cc: 637260-done@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#637260: hdspmixer missing in alsa-tools-gui package on amd64 (wheezy/sid)
Date: Tue, 31 Jan 2012 22:07:10 +0100
* iem [120130 18:16 +0100]:

> Package: alsa-tools-gui
> Followup-For: Bug #637260
> 
> on my system, /usr/bin/hdspmixer is present.
> i guess the bug is fixed and could be closed.

Done hereby.

Thanks for partizipation ;-)
Elimar


-- 
    .~.
    /V\   L   I   N   U   X
   /( )\ >Phear the Penguin<
   ^^-^^




Reply sent to Elimar Riesebieter <riesebie@lxtec.de>:
You have taken responsibility. (Tue, 31 Jan 2012 21:15:13 GMT) Full text and rfc822 format available.

Notification sent to steph5150 <steph5150@free.fr>:
Bug acknowledged by developer. (Tue, 31 Jan 2012 21:15:47 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Feb 2012 07:41:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:31:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.